/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.testframework.web;

import com.topcoder.testframework.demo.TestSimpleJsp;

import junit.framework.TestCase;
import junit.framework.TestSuite;
import junit.framework.Test;

/**
 * <p>
 * Unit test cases for TCJspTestCase.
 * </p>
 *
 * <p>
 * In this test case, only simple tests are provide, for more thorough tests please see TestSimpleJsp.
 * </p>
 *
 * @author TCSDEVELOPER
 * @version 1.0
 *
 */
public class TCJspTestCaseTests extends TestCase {
    /**
     * <p>
     * TCJspTestCase instance for testing.
     * </p>
     */
    private TCJspTestCase testCase;

    /**
     * <p>
     * Setup test environment.
     * </p>
     *
     */
    protected void setUp() {
        testCase = new TestSimpleJsp("testJspPage");
    }

    /**
     * <p>
     * Tears down test environment.
     * </p>
     *
     */
    protected void tearDown() {
        testCase = null;
    }

    /**
     * <p>
     * Return all tests.
     * </p>
     *
     * @return all tests
     */
    public static Test suite() {
        return new TestSuite(TCJspTestCaseTests.class);
    }
    /**
     * <p>
     * Tests ctor TCJspTestCase#TCJspTestCase(String) for accuracy.
     * Expects a new TCJspTestCase instance created successfully.
     * </p>
     */
    public void testCtor1() {
        assertNotNull("Failed to create new TCJspTestCase instance.", testCase);
    }

    /**
     * <p>
     * Tests ctor TCJspTestCase#TCJspTestCase() for accuracy.
     * Expects a new TCJspTestCase instance created successfully.
     * </p>
     */
    public void testCtor2() {
        assertNotNull("Failed to create new TCJspTestCase instance.", new TestSimpleJsp());
    }



    /**
     * <p>
     * Tests TCJspTestCase#getConfig() for accuracy.
     * Trivial test. Please see TestSimpleJsp for more thorough test.
     * </p>
     */
    public void testGetConfig() {
        assertNull("Expects null config.", testCase.getConfig());
    }

    /**
     * <p>
     * Tests TCJspTestCase#getRequest() for accuracy.
     * Trivial test. Please see TestSimpleJsp for more thorough test.
     * </p>
     */
    public void testGetRequest() {
        assertNull("Expects null request.", testCase.getRequest());
    }

    /**
     * <p>
     * Tests TCJspTestCase#getResponse() for accuracy.
     * Trivial test. Please see TestSimpleJsp for more thorough test.
     * </p>
     */
    public void testGetResponse() {
        assertNull("Expects null response.", testCase.getResponse());
    }

    /**
     * <p>
     * Tests TCJspTestCase#getSession() for accuracy.
     * Trivial test. Please see TestSimpleJsp for more thorough test.
     * </p>
     */
    public void testGetSession() {
        assertNull("Expects null session.", testCase.getSession());
    }

    /**
     * <p>
     * Tests TCJspTestCase#getOut() for accuracy.
     * Trivial test. Please see TestSimpleJsp for more thorough test.
     * </p>
     */
    public void testGetOut() {
        assertNull("Expects null out.", testCase.getOut());
    }

    /**
     * <p>
     * Tests TCJspTestCase#getPageContext() for accuracy.
     * Trivial test. Please see TestSimpleJsp for more thorough test.
     * </p>
     */
    public void testGetPageContext() {
        assertNull("Expects null pageContext.", testCase.getPageContext());
    }
}